# Search listings

Returns Etsy listings matching required `q`. Use `count` to control how many are returned per call.

- Platform: Etsy
- Request: `GET https://api.toolzerhub.com/v1/etsy/search`
- Auth: `x-api-key` header
- Cost: 3 credits per successful request. Failed requests are not billed.
- Page: https://docs.toolzerhub.com/reference/etsy/search-etsy-products

| Parameter | In | Required | Type | Description |
| --- | --- | --- | --- | --- |
| `q` | query | yes | string | Keyword to search Etsy listings for. |
| `count` | query | no | integer | Maximum listings to return. Fewer can be returned; use has_more to determine whether more results are available. Default: 48. |

## Example request

```bash
curl "https://api.toolzerhub.com/v1/etsy/search?q=<q>" \
  -H "x-api-key: $TOOLZERHUB_API_KEY"
```

Success responses are wrapped as `{ "data": ... }`. Errors return `{ "error": { "code", "status", "message", "retryable", "details" } }`. See https://docs.toolzerhub.com/docs/responses-and-errors.
